import { AuthConfiguration } from '../modules/auth.configuration';
import { OidcSecurityStorage } from './oidc.security.storage';
export declare class OidcSecurityCommon {
    private authConfiguration;
    private oidcSecurityStorage;
    storage_auth_result: string;
    storage_access_token: string;
    storage_id_token: string;
    storage_is_authorized: string;
    storage_user_data: string;
    storage_auth_nonce: string;
    storage_auth_state_control: string;
    storage_well_known_endpoints: string;
    storage_session_state: string;
    storage_silent_renew_running: string;
    storage_custom_request_params: string;
    constructor(authConfiguration: AuthConfiguration, oidcSecurityStorage: OidcSecurityStorage);
    setupModule(): void;
    retrieve(key: string): any;
    store(key: string, value: any): void;
    resetStorageData(isRenewProcess: boolean): void;
    getAccessToken(): any;
    getIdToken(): any;
    logError(message: any): void;
    logWarning(message: any): void;
    logDebug(message: any): void;
}
